Page MenuHomePhabricator

efl.io.reader
Closed, ResolvedPublic

Description

| | |interface Efl.Io.Reader
| | |├ (P) can_read :: set@protected
| | |├ (P) eos :: set@protected
| | |├ (M) read
| | |├ (E) can_read,changed
| | |├ (E) eos
zmike created this task.Jan 9 2019, 10:19 AM
zmike triaged this task as TODO priority.
zmike moved this task from Backlog to Evaluating on the efl: api board.Jan 10 2019, 10:08 AM

LGTM, questionable if the protected set is required or not, it could just be done internally ...

Besides smelling slightly overengineered, these Efl.Io interfaces do not look too bad, and their API is simple and sensible enough. They are just thin wrappers around POSIX, with added event emission, which is nice.

I'd say this is the simplest and nicest API we have in EFL, although not very useful beyond the tutorials maybe.

I have used Efl.Io a lot over last year and I am pretty ok with it. So we can move this one to stabilized API.

I've created a task about C#'s support of @inout Rw_Slice (T7629) but as we expect the C# user to use C#'s own IO classes, this doesn't seems to be a blocker.

Btw, this also affects Efl.Io.Writer.write(@inout Rw_Slice...) from T7600.

zmike moved this task from Evaluating to Stabilized on the efl: api board.Jan 17 2019, 11:07 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mon, Mar 11, 10:44 AM
zmike claimed this task.